#include <Psx.h>
#include <SPI.h>
#include <Mirf.h>
#include <nRF24L01.h>
#include <MirfHardwareSpiDriver.h>

#define dataPin 4
#define cmndPin 3
#define attPin 2
#define clockPin 5

Psx Psx;

byte outBuffer[8];

byte tx_address[5] = {0xD0,0xD0,0xD0,0xD0,0xD0};

void setup()
{
	Serial.begin(57600);
	Serial.println("Playstation joystick HACKED");
	Serial.println("Now it trasmits over nRF24L01+");
	Psx.setupPins(dataPin, cmndPin, attPin, clockPin, 10);

	Mirf.spi = &MirfHardwareSpi;
	Mirf.init();
	Mirf.payload = 8;
	Mirf.config();
}

void loop()
{
	Psx.read();

	if(Psx.psxID != 0x00)
	{
		outBuffer[0] = Psx.psxID;
		outBuffer[1] = Psx.psxStatus;
		outBuffer[2] = Psx.psxThumbL;
		outBuffer[3] = Psx.psxThumbR;
		outBuffer[4] = Psx.psxJoyRX;
		outBuffer[5] = Psx.psxJoyRY;
		outBuffer[6] = Psx.psxJoyLX;
		outBuffer[7] = Psx.psxJoyLY;

		Mirf.setTADDR(tx_address);
		Mirf.send(outBuffer);
		while(Mirf.isSending());
	}

	delay(50);
}
